Module
Contents
Index 🔎︎

# UBound Function

Vráti hornú hranicu poľa.

## Syntax:

    UBound (NázovPoľa [, Rozmer])

## Návratová hodnota:

Celé číslo

## Paremetre:

NázovPoľa: Názov poľa, ktorého hornú (Ubound) alebo dolnú (LBound) hranicu chcete zistiť.

[Rozmer]: Celé číslo určujúce, v ktorom rozmere chcete zistiť hornú (Ubound) alebo dolnú (LBound) hranicu. Ak nie je hodnota určená, predpokladá sa prvý rozmer.

## Error codes:

5 Neplatné volanie procedúry

9 Index mimo rozsah

## Príklad:

    Sub ExampleUboundLbound

    Dim sVar(10 To 20) As String

        Print LBound(sVar())

        Print UBound(sVar())

    End Sub

    Sub ExampleUboundLbound2

    Dim sVar(10 To 20,5 To 70) As String

        Print LBound(sVar()) REM Vráti 10

        Print UBound(sVar()) REM Vráti 20

        Print LBound(sVar(),2) REM Vráti 5

        Print UBound(sVar(),2) REM Vráti 70

    End Sub